zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmorx2.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvmorx2.c File Reference
`#include "gxvmorx.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmorx
#define | GXV_MORX_LIGACTION_ENTRY_SIZE 4
#define | GXV_MORX_SUBTABLE_TYPE2_HEADER_SIZE ( GXV_XSTATETABLE_HEADER_SIZE + 4 + 4 + 4 )

## Typedefs

typedef struct GXV_morx_subtable_type2_StateOptRec_ | GXV_morx_subtable_type2_StateOptRec
typedef struct GXV_morx_subtable_type2_StateOptRec_ * | GXV_morx_subtable_type2_StateOptRecData

## Functions

static void | gxv_morx_subtable_type2_entry_validate (FT_UShort state, FT_UShort flags, GXV_StateTable_GlyphOffsetCPtr glyphOffset_p, FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_morx_subtable_type2_ligActionIndex_validate (FT_Bytes table, FT_UShort ligActionIndex, GXV_Validator valid)
static void | gxv_morx_subtable_type2_ligatureTable_validate (FT_Bytes table, GXV_Validator valid)
static void | gxv_morx_subtable_type2_opttable_load (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_morx_subtable_type2_subtable_setup (FT_ULong table_size, FT_ULong classTable, FT_ULong stateArray, FT_ULong entryTable, FT_ULong *classTable_length_p, FT_ULong *stateArray_length_p, FT_ULong *entryTable_length_p, GXV_Validator valid)
| gxv_morx_subtable_type2_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmorx

Definition at line 38 of file gxvmorx2.c.

#define GXV_MORX_LIGACTION_ENTRY_SIZE 4

Definition at line 138 of file gxvmorx2.c.

Referenced by gxv_morx_subtable_type2_ligActionIndex_validate().

#define GXV_MORX_SUBTABLE_TYPE2_HEADER_SIZE ( GXV_XSTATETABLE_HEADER_SIZE + 4 + 4 + 4 )

Definition at line 54 of file gxvmorx2.c.

Referenced by gxv_morx_subtable_type2_validate().

## Typedef Documentation

typedef struct GXV_morx_subtable_type2_StateOptRec_ GXV_morx_subtable_type2_StateOptRec

typedef struct GXV_morx_subtable_type2_StateOptRec_ * GXV_morx_subtable_type2_StateOptRecData

## Function Documentation

static void gxv_morx_subtable_type2_entry_validate | ( | FT_UShort | state,
|  | FT_UShort | flags,
|  | GXV_StateTable_GlyphOffsetCPtr | glyphOffset_p,
|  | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 222 of file gxvmorx2.c.

References FT_UNUSED, gxv_morx_subtable_type2_ligActionIndex_validate(), GXV_TRACE, and GXV_StateTable_GlyphOffsetDesc_::u.

Referenced by gxv_morx_subtable_type2_validate().

static void gxv_morx_subtable_type2_ligActionIndex_validate | ( | FT_Bytes | table,
|  | FT_UShort | ligActionIndex,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 142 of file gxvmorx2.c.

References GXV_ValidatorRec_::face, FT_INVALID_OFFSET, FT_NEXT_ULONG, GXV_MORX_LIGACTION_ENTRY_SIZE, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, if(), FT_FaceRec_::num_glyphs, GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type2_entry_validate().

static void gxv_morx_subtable_type2_ligatureTable_validate | ( | FT_Bytes | table,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 261 of file gxvmorx2.c.

References FT_INVALID_GLYPH_ID, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_SET_ERR_IF_PARANOID, GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type2_validate().

static void gxv_morx_subtable_type2_opttable_load | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 59 of file gxvmorx2.c.

References FT_NEXT_ULONG, GXV_LIMIT_CHECK, GXV_TRACE, GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type2_validate().

static void gxv_morx_subtable_type2_subtable_setup | ( | FT_ULong | table_size,
|  | FT_ULong | classTable,
|  | FT_ULong | stateArray,
|  | FT_ULong | entryTable,
|  | FT_ULong * | classTable_length_p,
|  | FT_ULong * | stateArray_length_p,
|  | FT_ULong * | entryTable_length_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 84 of file gxvmorx2.c.

References GXV_EXIT, GXV_NAME_ENTER, gxv_set_length_by_ulong_offset(), GXV_TRACE, GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type2_validate().

gxv_morx_subtable_type2_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 294 of file gxvmorx2.c.

References GXV_EXIT, GXV_GLYPHOFFSET_USHORT, GXV_LIMIT_CHECK, gxv_morx_subtable_type2_entry_validate(), GXV_MORX_SUBTABLE_TYPE2_HEADER_SIZE, gxv_morx_subtable_type2_ligatureTable_validate(), gxv_morx_subtable_type2_opttable_load(), gxv_morx_subtable_type2_subtable_setup(), GXV_NAME_ENTER, and gxv_XStateTable_validate().

Referenced by gxv_morx_subtables_validate().